org.apache.hc.core5.http2.protocol

## Class H2ResponseConnControl

- java.lang.Object
- - org.apache.hc.core5.http.protocol.ResponseConnControl
  - - org.apache.hc.core5.http2.protocol.H2ResponseConnControl

- All Implemented Interfaces:
    HttpResponseInterceptor

      @Contract(threading=IMMUTABLE)
      public class H2ResponseConnControl
      extends ResponseConnControl

  HTTP/2 compatible extension of `ResponseConnControl`.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `H2ResponseConnControl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(HttpResponse response, EntityDetails entity, HttpContext context)` Processes a response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### H2ResponseConnControl

          public H2ResponseConnControl()

  - ### Method Detail

    - #### process

          public void process(HttpResponse response,
                     EntityDetails entity,
                     HttpContext context)
                       throws HttpException,
                              IOException

      Description copied from interface: `HttpResponseInterceptor`
      Processes a response. On the server side, this step is performed before the response is sent to the client. On the client side, this step is performed on incoming messages before the message body is evaluated.
      Specified by:
        `process` in interface `HttpResponseInterceptor`
      Overrides:
        `process` in class `ResponseConnControl`
      Parameters:
        `response` - the response to process
        `entity` - the request entity details or `null` if not available
        `context` - the context for the request
      Throws:
        `HttpException` - in case of an HTTP protocol violation
        `IOException` - in case of an I/O error

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.